> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Employer Check Processed Event

> POSTs a request when an employer check enters processing.

This endpoint specifies what will be sent to your 'Employer Check Processed' Webhook. Zeal POSTs a request containing the processed Employer Check Object (checks are typically processed at 2:00 PM PT). You can update the webhook URL you want Zeal to hit on the 'API' Page of the Zeal Dashboard.

***

## Request Body

| attribute          | type    | description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| ------------------ | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| test               | boolean | Whether the Employer Check was created in the Test Mode                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| companyID          | string  | Zeal companyID of Employer                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| business\_name     | string  | Business Name of Employer                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| employerCheckID    | string  | Employer Check ID                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| status             | string  | Status of shift. Will hold the following values: `processed`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| reporting\_periods | array   | List of reporting periods contained in this employer check.<br />Show child attributes:<br />**reportingPeriodID** - type: string - description: Reporting Period ID                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| totals             | object  | Totals for this employer check are stored in an object.<br />Show child attributes:<br />**gross\_pay** - type: number - description: Gross pay for an employee (total pay before taxes)<br />**net\_pay** - type: number - description: Net pay for an employee (total pay after taxes = `gross_pay - total_employee_taxes`)<br />**total\_employer\_taxes** - type: number - required: Total amount of employer taxes<br />**company\_debit** - type: number - description: Total cost for the company (`net_pay + total_employee_taxes + total_employer_taxes`)<br />**total\_employee\_taxes** - type: number - description: Total amount of employee taxes for this employer check run |
| employee\_checks   | array   | List of all employee checks. Each object contains information regarding how each employee is paid for this payroll run (i.e. everything found on a paystub and more). See Employee Check Object for all attributes                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |

***

## Returns

Doesn't return anything but rather POSTs the processed Employer Check Object to your webhook URL.

***

## Raw Content Example

```json theme={null}
{
  "test": true,
  "companyID": "083472985",
  "business_name": "Test Company",
  "employerCheckID": "123456789",
  "status": "processed",
  "reporting_periods": [
    {
      "reportingPeriodID": "01739fc4cfd84c2e93dba5e802d1dda1",
      "start": "2024-01-05T22:01:00.000Z",
      "end": "2024-01-06T22:00:00.000Z"
    }
  ],
  "createdAt": "2024-02-13T19:22:34Z",
  "totals": {
    "gross_pay": 40,
    "net_pay": 36.94,
    "total_employer_taxes": 3.06,
    "company_debit": 43.06,
    "total_employee_taxes": 3.06
  },
  "employee_checks": [
    {
      "employeeID": "0987654321",
      "check_date": "2024-01-06T00:00:00Z",
      "is_salary": false,
      "approval_required": false,
      "approved": true,
      "first_name": "Peter",
      "middle_initial": null,
      "last_name": "Gregory",
      "reportingPeriodID": "01739fc4cfd84c2e93dba5e802d1dda1",
      "status": "processed",
      "metadata": {},
      "disbursement": {
        "method": "direct_deposit",
        "history": []
      },
      "gross_pay": 40,
      "net_pay": 36.94,
      "total_employee_taxes": 3.06,
      "total_employer_taxes": 3.06,
      "taxes": [
        {
          "name": "Employee Medicare Tax",
          "paidBy": "EMPLOYEE_WITHHOLDING",
          "amount": 0.58
        },
        {
          "name": "Employee Social Security Tax",
          "paidBy": "EMPLOYEE_WITHHOLDING",
          "amount": 2.48
        },
        {
          "name": "Employer Medicare Tax",
          "paidBy": "EMPLOYER_LIABILITY",
          "amount": 0.58
        },
        {
          "name": "Employer Social Security Tax",
          "paidBy": "EMPLOYER_LIABILITY",
          "amount": 2.48
        }
      ],
      "shifts": [
        {
          "employeeID": "0987654321",
          "shiftID": "123456789",
          "employeeCheckID": "9827465739",
          "status": "processed",
          "first_name": "Peter",
          "last_name": "Gregory",
          "metadata": {},
          "wcc_code": null,
          "workLocatio4ID": "34567890",
          "time": "2023-01-12T10:00:00",
          "hourly": {
            "hours": 2,
            "wage": 20
          }
        }
      ],
      "deductions": []
    }
  ],
  "timestamp": "2024-01-21T21:29:42Z"
}
```
